# __gnu_pbds::detail::cond_dealtor< Entry, Allocator > Class Template Reference

List of all members.

## Detailed Description

### template<typename Entry, class Allocator>
class __gnu_pbds::detail::cond_dealtor< Entry, Allocator >

Definition at line 65 of file cond_dealtor.hpp.

## Public Types

- typedef Allocator::template
  rebind< Entry >::other entry_allocator
- typedef entry_allocator::pointer entry_pointer

## Public Member Functions

- cond_dealtor (entry_pointer p_e)
- void set_no_action ()
- ~cond_dealtor ()

The documentation for this class was generated from the following file:

- cond_dealtor.hpp